import { InputConfiguration, InputIconData } from './input-entities';
import { InputOptions } from './input.options';
import * as i0 from "@angular/core";
export declare abstract class InputParameters {
    /** @internal */
    set configuration(value: InputConfiguration);
    /** @internal */
    set placeholder(placeholder: string);
    /** @internal */
    set errorType(errorType: string);
    /** @internal */
    set name(name: string);
    /** @internal */
    set icon(icon: InputIconData | InputIconData[]);
    /** @internal */
    set units(units: string);
    /** @internal */
    set unitPos(unitPos: string);
    /** @internal */
    set unitPlaceholder(unitPlaceholder: boolean);
    /** @internal */
    set btn(btn: string);
    /** @internal */
    set btnDisabled(btnDisabled: boolean);
    /** @internal */
    set btnLoading(btnLoading: boolean);
    /** @internal */
    set id(id: number | string);
    /** @internal */
    set type(type: string);
    /** @internal */
    set class(value: string);
    /** @internal */
    set decimal(decimal: number);
    /** @internal */
    set clear(clear: boolean);
    /** @internal */
    set readonly(readonly: boolean);
    /** @internal */
    set required(required: boolean);
    /** @internal */
    set showSearchIcon(showSearchIcon: 'left' | 'right' | 'none');
    /** @internal */
    set showSearchIconWhenHasInputValue(showSearchIconWhenHasInputValue: boolean);
    /** @internal */
    set min(min: number);
    /** @internal */
    set max(max: number);
    /** @internal */
    set maxlength(maxlength: number);
    /** @internal */
    set sanitationRegex(sanitationRegex: string | RegExp);
    /** @internal */
    set acceptFileExtensions(acceptFileExtensions: string);
    /** @internal */
    set disableWheelScroll(disableWheelScroll: boolean);
    /** @internal */
    set options(options: InputOptions);
    /** @internal */
    set disabled(disabled: boolean);
    /** @internal */
    set error(error: boolean | string);
    /** @internal */
    set helperText(helperText: string);
    /** @internal */
    _configuration: InputConfiguration;
    /** @internal */
    abstract onConfigurationChanged(value: InputConfiguration): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputParameters, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InputParameters, never, never, { "configuration": { "alias": "configuration"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "errorType": { "alias": "errorType"; "required": false; }; "name": { "alias": "name"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "units": { "alias": "units"; "required": false; }; "unitPos": { "alias": "unitPos"; "required": false; }; "unitPlaceholder": { "alias": "unitPlaceholder"; "required": false; }; "btn": { "alias": "btn"; "required": false; }; "btnDisabled": { "alias": "btnDisabled"; "required": false; }; "btnLoading": { "alias": "btnLoading"; "required": false; }; "id": { "alias": "id"; "required": false; }; "type": { "alias": "type"; "required": false; }; "class": { "alias": "class"; "required": false; }; "decimal": { "alias": "decimal"; "required": false; }; "clear": { "alias": "clear"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "required": { "alias": "required"; "required": false; }; "showSearchIcon": { "alias": "showSearchIcon"; "required": false; }; "showSearchIconWhenHasInputValue": { "alias": "showSearchIconWhenHasInputValue"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "sanitationRegex": { "alias": "sanitationRegex"; "required": false; }; "acceptFileExtensions": { "alias": "acceptFileExtensions"; "required": false; }; "disableWheelScroll": { "alias": "disableWheelScroll"; "required": false; }; "options": { "alias": "options"; "required": false; }; "disabled": { "alias": "isDisabled"; "required": false; }; "error": { "alias": "error"; "required": false; }; "helperText": { "alias": "helperText"; "required": false; }; }, {}, never, never, false, never>;
}
